MathJax.Extension["TeX/boldsymbol"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var B=MathJax.ElementJax.mml;
var C=MathJax.InputJax.TeX;
var A=C.Definitions;
var D={};
D[B.VARIANT.NORMAL]=B.VARIANT.BOLD;
D[B.VARIANT.ITALIC]=B.VARIANT.BOLDITALIC;
D[B.VARIANT.FRAKTUR]=B.VARIANT.BOLDFRAKTUR;
D[B.VARIANT.SCRIPT]=B.VARIANT.BOLDSCRIPT;
D[B.VARIANT.SANSSERIF]=B.VARIANT.BOLDSANSSERIF;
D["-tex-caligraphic"]="-tex-caligraphic-bold";
D["-tex-oldstyle"]="-tex-oldstyle-bold";
A.macros.boldsymbol="Boldsymbol";
C.Parse.Augment({mmlToken:function(E){if(this.stack.env.boldsymbol){var F=E.Get("mathvariant");
if(F==null){E.mathvariant=B.VARIANT.BOLD
}else{E.mathvariant=(D[F]||F)
}}return E
},Boldsymbol:function(E){var H=this.stack.env.boldsymbol,G=this.stack.env.font;
this.stack.env.boldsymbol=true;
this.stack.env.font=null;
var F=this.ParseArg(E);
this.stack.env.font=G;
this.stack.env.boldsymbol=H;
this.Push(F)
}});
MathJax.Hub.Startup.signal.Post("TeX boldsymbol Ready")
});
MathJax.Hub.Register.StartupHook("HTML-CSS Jax Ready",function(){var B=MathJax.OutputJax["HTML-CSS"];
var C=B.FONTDATA.FONTS;
var A=B.FONTDATA.VARIANT;
if(B.fontInUse==="TeX"){C["MathJax_Caligraphic-bold"]="Caligraphic/Bold/Main.js";
A["-tex-caligraphic-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"],offsetA:65,variantA:"bold-italic"};
A["-tex-oldstyle-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"]};
if(B.msieCheckGreek&&B.Font.testFont({family:"MathJax_Greek",weight:"bold",style:"italic",testString:B.msieCheckGreek})){A["bold-italic"].offsetG=913;
A["bold-italic"].variantG="-Greek-Bold-Italic";
A["-Greek-Bold-Italic"]={fonts:["MathJax_Greek-bold-italic"]};
C["MathJax_Greek-bold-italic"]="Greek/BoldItalic/Main.js"
}if(MathJax.Hub.Browser.isChrome&&!MathJax.Hub.Browser.versionAtLeast("5.0")){A["-tex-caligraphic-bold"].remap={84:[58096,"-WinChrome"]}
}}else{if(B.fontInUse==="STIX"){A["-tex-caligraphic-bold"]={fonts:["STIXGeneral-bold-italic","STIXNonUnicode-bold-italic","STIXNonUnicode","STIXGeneral","STIXSizeOneSym"],offsetA:57927,noLowerCase:1};
A["-tex-oldstyle-bold"]={fonts:["STIXGeneral-bold","STIXNonUnicode-bold","STIXGeneral","STIXSizeOneSym"],offsetN:57955,remap:{57956:57959,57957:57963,57958:57967,57959:57971,57960:57975,57961:57979,57962:57983,57963:57987,57964:57991}}
}}});
MathJax.Hub.Register.StartupHook("SVG Jax Ready",function(){var C=MathJax.OutputJax.SVG;
var A=C.FONTDATA.FONTS;
var B=C.FONTDATA.VARIANT;
A["MathJax_Caligraphic-bold"]="Caligraphic/Bold/Main.js";
B["-tex-caligraphic-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"],offsetA:65,variantA:"bold-italic"};
B["-tex-oldstyle-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"]}
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/boldsymbol.js");