MathJax.Extension["TeX/color"]={version:"2.0",config:MathJax.Hub.CombineConfig("TeX.color",{padding:"5px",border:"2px"}),colors:{Apricot:"#FBB982",Aquamarine:"#00B5BE",Bittersweet:"#C04F17",Black:"#221E1F",Blue:"#2D2F92",BlueGreen:"#00B3B8",BlueViolet:"#473992",BrickRed:"#B6321C",Brown:"#792500",BurntOrange:"#F7921D",CadetBlue:"#74729A",CarnationPink:"#F282B4",Cerulean:"#00A2E3",CornflowerBlue:"#41B0E4",Cyan:"#00AEEF",Dandelion:"#FDBC42",DarkOrchid:"#A4538A",Emerald:"#00A99D",ForestGreen:"#009B55",Fuchsia:"#8C368C",Goldenrod:"#FFDF42",Gray:"#949698",Green:"#00A64F",GreenYellow:"#DFE674",JungleGreen:"#00A99A",Lavender:"#F49EC4",LimeGreen:"#8DC73E",Magenta:"#EC008C",Mahogany:"#A9341F",Maroon:"#AF3235",Melon:"#F89E7B",MidnightBlue:"#006795",Mulberry:"#A93C93",NavyBlue:"#006EB8",OliveGreen:"#3C8031",Orange:"#F58137",OrangeRed:"#ED135A",Orchid:"#AF72B0",Peach:"#F7965A",Periwinkle:"#7977B8",PineGreen:"#008B72",Plum:"#92268F",ProcessBlue:"#00B0F0",Purple:"#99479B",RawSienna:"#974006",Red:"#ED1B23",RedOrange:"#F26035",RedViolet:"#A1246B",Rhodamine:"#EF559F",RoyalBlue:"#0071BC",RoyalPurple:"#613F99",RubineRed:"#ED017D",Salmon:"#F69289",SeaGreen:"#3FBC9D",Sepia:"#671800",SkyBlue:"#46C5DD",SpringGreen:"#C6DC67",Tan:"#DA9D76",TealBlue:"#00AEB3",Thistle:"#D883B7",Turquoise:"#00B4CE",Violet:"#58429B",VioletRed:"#EF58A0",White:"#FFFFFF",WildStrawberry:"#EE2967",Yellow:"#FFF200",YellowGreen:"#98CC70",YellowOrange:"#FAA21A"},getColor:function(B,C){if(!B){B="named"
}var A=this["get_"+B];
if(!A){this.TEX.Error("Color model '"+B+"' not defined")
}return A.call(this,C)
},get_rgb:function(A){A=A.split(/,/);
var B="#";
if(A.length!==3){this.TEX.Error("RGB colors require 3 decimal numbers")
}for(var D=0;
D<3;
D++){if(!A[D].match(/^(\d+(\.\d*)?|\.\d+)$/)){this.TEX.Error("Invalid decimal number")
}var C=parseFloat(A[D]);
if(C<0||C>1){this.TEX.Error("RGB values must be between 0 and 1")
}C=Math.floor(C*255).toString(16);
if(C.length<2){C="0"+C
}B+=C
}return B
},get_gray:function(B){if(!B.match(/^(\d+(\.\d*)?|\.\d+)$/)){this.TEX.Error("Invalid decimal number")
}var A=parseFloat(B);
if(A<0||A>1){this.TEX.Error("Grey-scale values must be between 0 and 1")
}A=Math.floor(A*255).toString(16);
if(A.length<2){A="0"+A
}return"#"+A+A+A
},get_named:function(A){if(this.colors[A]){return this.colors[A]
}return A
},padding:function(){var C="+"+this.config.padding;
var B=this.config.padding.replace(/^.*?([a-z]*)$/,"$1");
var A="+"+(2*parseFloat(C))+B;
return{width:A,height:C,depth:C,lspace:this.config.padding}
}};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var C=MathJax.InputJax.TeX,B=MathJax.ElementJax.mml;
var D=C.Stack.Item;
var A=MathJax.Extension["TeX/color"];
A.TEX=C;
C.Definitions.macros.color="Color";
C.Definitions.macros.definecolor="DefineColor";
C.Definitions.macros.colorbox="ColorBox";
C.Definitions.macros.fcolorbox="fColorBox";
C.Parse.Augment({Color:function(E){var F=this.GetBrackets(E),H=this.GetArgument(E);
H=A.getColor(F,H);
var G=D.style().With({styles:{mathcolor:H}});
this.stack.env.color=H;
this.Push(G)
},DefineColor:function(F){var G=this.GetArgument(F),H=this.GetArgument(F),E=this.GetArgument(F);
A.colors[G]=A.getColor(H,E)
},ColorBox:function(E){var F=this.GetArgument(E),G=this.InternalMath(this.GetArgument(E));
this.Push(B.mpadded.apply(B,G).With({mathbackground:A.getColor("named",F)}).With(A.padding()))
},fColorBox:function(F){var E=this.GetArgument(F),G=this.GetArgument(F),H=this.InternalMath(this.GetArgument(F));
this.Push(B.mpadded.apply(B,H).With({mathbackground:A.getColor("named",G),style:"border: "+A.config.border+" solid "+A.getColor("named",E)}).With(A.padding()))
}});
MathJax.Hub.Startup.signal.Post("TeX color Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/color.js");