MathJax.Extension.tex2jax={version:"2.0",config:{inlineMath:[["\\(","\\)"]],displayMath:[["$$","$$"],["\\[","\\]"]],balanceBraces:true,skipTags:["script","noscript","style","textarea","pre","code"],ignoreClass:"tex2jax_ignore",processClass:"tex2jax_process",processEscapes:false,processEnvironments:true,processRefs:true,preview:"TeX"},PreProcess:function(A){if(!this.configured){this.config=MathJax.Hub.CombineConfig("tex2jax",this.config);
if(this.config.Augment){MathJax.Hub.Insert(this,this.config.Augment)
}if(typeof (this.config.previewTeX)!=="undefined"&&!this.config.previewTeX){this.config.preview="none"
}this.configured=true
}if(typeof (A)==="string"){A=document.getElementById(A)
}if(!A){A=document.body
}if(this.createPatterns()){this.scanElement(A,A.nextSibling)
}},createPatterns:function(){var D=[],C=[],E,B,A=this.config;
this.match={};
for(E=0,B=A.inlineMath.length;
E<B;
E++){D.push(this.patternQuote(A.inlineMath[E][0]));
this.match[A.inlineMath[E][0]]={mode:"",end:A.inlineMath[E][1],pattern:this.endPattern(A.inlineMath[E][1])}
}for(E=0,B=A.displayMath.length;
E<B;
E++){D.push(this.patternQuote(A.displayMath[E][0]));
this.match[A.displayMath[E][0]]={mode:"; mode=display",end:A.displayMath[E][1],pattern:this.endPattern(A.displayMath[E][1])}
}if(D.length){C.push(D.sort(this.sortLength).join("|"))
}if(A.processEnvironments){C.push("\\\\begin\\{([^}]*)\\}")
}if(A.processEscapes){C.push("\\\\*\\\\\\$")
}if(A.processRefs){C.push("\\\\(eq)?ref\\{[^}]*\\}")
}this.start=new RegExp(C.join("|"),"g");
this.skipTags=new RegExp("^("+A.skipTags.join("|")+")$","i");
this.ignoreClass=new RegExp("(^| )("+A.ignoreClass+")( |$)");
this.processClass=new RegExp("(^| )("+A.processClass+")( |$)");
return(C.length>0)
},patternQuote:function(A){return A.replace(/([\^$(){}+*?\-|\[\]\:\\])/g,"\\$1")
},endPattern:function(A){return new RegExp(this.patternQuote(A)+"|\\\\.|[{}]","g")
},sortLength:function(A,B){if(A.length!==B.length){return B.length-A.length
}return(A==B?0:(A<B?-1:1))
},scanElement:function(G,A,C){var B,E,F,D;
while(G&&G!=A){if(G.nodeName.toLowerCase()==="#text"){if(!C){G=this.scanText(G)
}}else{B=(typeof (G.className)==="undefined"?"":G.className);
E=(typeof (G.tagName)==="undefined"?"":G.tagName);
if(typeof (B)!=="string"){B=String(B)
}D=this.processClass.exec(B);
if(G.firstChild&&!B.match(/(^| )MathJax/)&&(D||!this.skipTags.exec(E))){F=(C||this.ignoreClass.exec(B))&&!D;
this.scanElement(G.firstChild,A,F)
}}if(G){G=G.nextSibling
}}},scanText:function(A){if(A.nodeValue.replace(/\s+/,"")==""){return A
}var B,C;
this.search={start:true};
this.pattern=this.start;
while(A){this.pattern.lastIndex=0;
while(A&&A.nodeName.toLowerCase()==="#text"&&(B=this.pattern.exec(A.nodeValue))){if(this.search.start){A=this.startMatch(B,A)
}else{A=this.endMatch(B,A)
}}if(this.search.matched){A=this.encloseMath(A)
}if(A){do{C=A;
A=A.nextSibling
}while(A&&(A.nodeName.toLowerCase()==="br"||A.nodeName.toLowerCase()==="#comment"));
if(!A||A.nodeName!=="#text"){return(this.search.close?this.prevEndMatch():C)
}}}return A
},startMatch:function(B,A){var D=this.match[B[0]];
if(D!=null){this.search={end:D.end,mode:D.mode,pcount:0,open:A,olen:B[0].length,opos:this.pattern.lastIndex-B[0].length};
this.switchPattern(D.pattern)
}else{if(B[0].substr(0,6)==="\\begin"){this.search={end:"\\end{"+B[1]+"}",mode:"; mode=display",pcount:0,open:A,olen:0,opos:this.pattern.lastIndex-B[0].length,isBeginEnd:true};
this.switchPattern(this.endPattern(this.search.end))
}else{if(B[0].substr(0,4)==="\\ref"||B[0].substr(0,6)==="\\eqref"){this.search={mode:"",end:"",open:A,pcount:0,olen:0,opos:this.pattern.lastIndex-B[0].length};
return this.endMatch([""],A)
}else{var F=B[0].substr(0,B[0].length-1),C,G;
if(F.length%2===0){G=[F.replace(/\\\\/g,"\\")];
C=1
}else{G=[F.substr(1).replace(/\\\\/g,"\\"),"$"];
C=0
}G=MathJax.HTML.Element("span",null,G);
var E=MathJax.HTML.TextNode(A.nodeValue.substr(0,B.index));
A.nodeValue=A.nodeValue.substr(B.index+B[0].length-C);
A.parentNode.insertBefore(G,A);
A.parentNode.insertBefore(E,G);
this.pattern.lastIndex=C
}}}return A
},endMatch:function(B,C){var A=this.search;
if(B[0]==A.end){if(!A.close||A.pcount===0){A.close=C;
A.cpos=this.pattern.lastIndex;
A.clen=(A.isBeginEnd?0:B[0].length)
}if(A.pcount===0){A.matched=true;
C=this.encloseMath(C);
this.switchPattern(this.start)
}}else{if(B[0]==="{"){A.pcount++
}else{if(B[0]==="}"&&A.pcount){A.pcount--
}}}return C
},prevEndMatch:function(){this.search.matched=true;
var A=this.encloseMath(this.search.close);
this.switchPattern(this.start);
return A
},switchPattern:function(A){A.lastIndex=this.pattern.lastIndex;
this.pattern=A;
this.search.start=(A===this.start)
},encloseMath:function(A){var B=this.search,C=B.close,D,F;
if(B.cpos===C.length){C=C.nextSibling
}else{C=C.splitText(B.cpos)
}if(!C){D=C=MathJax.HTML.addText(B.close.parentNode,"")
}B.close=C;
F=(B.opos?B.open.splitText(B.opos):B.open);
while(F.nextSibling&&F.nextSibling!==C){if(F.nextSibling.nodeValue!==null){if(F.nextSibling.nodeName==="#comment"){F.nodeValue+=F.nextSibling.nodeValue.replace(/^\[CDATA\[((.|\n|\r)*)\]\]$/,"$1")
}else{F.nodeValue+=F.nextSibling.nodeValue
}}else{if(this.msieNewlineBug){F.nodeValue+=(F.nextSibling.nodeName.toLowerCase()==="br"?"\n":" ")
}else{F.nodeValue+=" "
}}F.parentNode.removeChild(F.nextSibling)
}var E=F.nodeValue.substr(B.olen,F.nodeValue.length-B.olen-B.clen);
F.parentNode.removeChild(F);
if(this.config.preview!=="none"){this.createPreview(B.mode,E)
}F=this.createMathTag(B.mode,E);
this.search={};
this.pattern.lastIndex=0;
if(D){D.parentNode.removeChild(D)
}return F
},insertNode:function(A){var B=this.search;
B.close.parentNode.insertBefore(A,B.close)
},createPreview:function(C,B){var A;
if(this.config.preview==="TeX"){A=[this.filterPreview(B)]
}else{if(this.config.preview instanceof Array){A=this.config.preview
}}if(A){A=MathJax.HTML.Element("span",{className:MathJax.Hub.config.preRemoveClass},A);
this.insertNode(A)
}},createMathTag:function(C,A){var B=document.createElement("script");
B.type="math/tex"+C;
MathJax.HTML.setScript(B,A);
this.insertNode(B);
return B
},filterPreview:function(A){return A
},msieNewlineBug:(MathJax.Hub.Browser.isMSIE&&document.documentMode<9)};
MathJax.Hub.Register.PreProcessor(["PreProcess",MathJax.Extension.tex2jax]);
MathJax.Ajax.loadComplete("[MathJax]/extensions/tex2jax.js");