MathJax.Extension["TeX/begingroup"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var D=MathJax.InputJax.TeX,B=D.Definitions;
var A=MathJax.Object.Subclass({macros:null,environments:null,Init:function(E,F){this.macros=(E||{});
this.environments=(F||{})
},Find:function(E,F){if(this[F][E]){return this[F][E]
}},Def:function(E,G,F){this[F][E]=G
},Undef:function(E,F){delete this[F][E]
},Merge:function(E){MathJax.Hub.Insert(this.macros,E.macros);
MathJax.Hub.Insert(this.environments,E.environments)
},MergeGlobals:function(E){var F=this.macros;
for(var G in F){if(F.hasOwnProperty(G)&&F[G].global){E.Def(G,F[G],"macros",true);
delete F[G].global;
delete F[G]
}}},Clear:function(G){this.environments={};
if(G){this.macros={}
}else{var E=this.macros;
for(var F in E){if(E.hasOwnProperty(F)&&!E[F].global){delete E[F]
}}}return this
}});
var C=D.nsStack=MathJax.Object.Subclass({stack:null,top:0,isEqn:false,Init:function(E){this.isEqn=E;
this.stack=[];
if(!E){this.Push(A(B.macros,B.environments))
}else{this.Push(A())
}},Def:function(E,H,F,G){var I=this.top-1;
if(G){while(I>0){this.stack[I].Undef(E,F);
I--
}if(!(H instanceof Array)){H=[H]
}if(this.isEqn){H.global=true
}}this.stack[I].Def(E,H,F)
},Push:function(E){this.stack.push(E);
this.top=this.stack.length
},Pop:function(){var E;
if(this.top>1){E=this.stack[--this.top];
if(this.isEqn){this.stack.pop()
}}else{if(this.isEqn){this.Clear()
}}return E
},Find:function(E,G){for(var F=this.top-1;
F>=0;
F--){var H=this.stack[F].Find(E,G);
if(H){return H
}}return null
},Merge:function(E){E.stack[0].MergeGlobals(this);
this.stack[this.top-1].Merge(E.stack[0]);
var F=[this.top,this.stack.length-this.top].concat(E.stack.slice(1));
this.stack.splice.apply(this.stack,F);
this.top=this.stack.length
},Reset:function(){this.top=this.stack.length
},Clear:function(E){this.stack=[this.stack[0].Clear()];
this.top=this.stack.length
}},{nsFrame:A});
B.macros.begingroup="BeginGroup";
B.macros.endgroup="EndGroup";
B.macros.global=["Extension","newcommand"];
B.macros.gdef=["Extension","newcommand"];
D.Parse.Augment({BeginGroup:function(E){D.eqnStack.Push(A())
},EndGroup:function(E){if(D.eqnStack.top>1){D.eqnStack.Pop()
}else{if(D.rootStack.top===1){D.Error("Extra "+E+" or missing \\begingroup")
}else{D.eqnStack.Clear();
D.rootStack.Pop()
}}},csFindMacro:function(E){return(D.eqnStack.Find(E,"macros")||D.rootStack.Find(E,"macros"))
},envFindName:function(E){return(D.eqnStack.Find(E,"environments")||D.rootStack.Find(E,"environments"))
}});
D.rootStack=C();
D.eqnStack=C(true);
D.prefilterHooks.Add(function(){D.rootStack.Reset();
D.eqnStack.Clear(true)
});
D.postfilterHooks.Add(function(){D.rootStack.Merge(D.eqnStack)
});
MathJax.Hub.Register.StartupHook("TeX newcommand Ready",function(){B.macros.global="Global";
B.macros.gdef=["Macro","\\global\\def"];
D.Parse.Augment({setDef:function(E,F){F.isUser=true;
D.eqnStack.Def(E,F,"macros",this.stack.env.isGlobal);
delete this.stack.env.isGlobal
},setEnv:function(E,F){F.isUser=true;
D.eqnStack.Def(E,F,"environments")
},Global:function(E){var F=this.i;
var G=this.GetCSname(E);
this.i=F;
if(G!=="let"&&G!=="def"&&G!=="newcommand"){D.Error(E+" not followed by \\let, \\def, or \\newcommand")
}this.stack.env.isGlobal=true
}})
});
MathJax.Hub.Startup.signal.Post("TeX begingroup Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/begingroup.js");