MathJax.Extension["TeX/boldsymbol"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var A=MathJax.ElementJax.mml;
var D=MathJax.InputJax.TeX;
var B=D.Definitions;
var C={};
C[A.VARIANT.NORMAL]=A.VARIANT.BOLD;
C[A.VARIANT.ITALIC]=A.VARIANT.BOLDITALIC;
C[A.VARIANT.FRAKTUR]=A.VARIANT.BOLDFRAKTUR;
C[A.VARIANT.SCRIPT]=A.VARIANT.BOLDSCRIPT;
C[A.VARIANT.SANSSERIF]=A.VARIANT.BOLDSANSSERIF;
C["-tex-caligraphic"]="-tex-caligraphic-bold";
C["-tex-oldstyle"]="-tex-oldstyle-bold";
B.macros.boldsymbol="Boldsymbol";
D.Parse.Augment({mmlToken:function(F){if(this.stack.env.boldsymbol){var E=F.Get("mathvariant");
if(E==null){F.mathvariant=A.VARIANT.BOLD
}else{F.mathvariant=(C[E]||E)
}}return F
},Boldsymbol:function(H){var E=this.stack.env.boldsymbol,F=this.stack.env.font;
this.stack.env.boldsymbol=true;
this.stack.env.font=null;
var G=this.ParseArg(H);
this.stack.env.font=F;
this.stack.env.boldsymbol=E;
this.Push(G)
}});
MathJax.Hub.Startup.signal.Post("TeX boldsymbol Ready")
});
MathJax.Hub.Register.StartupHook("HTML-CSS Jax Ready",function(){var A=MathJax.OutputJax["HTML-CSS"];
var C=A.FONTDATA.FONTS;
var B=A.FONTDATA.VARIANT;
if(A.fontInUse==="TeX"){C["MathJax_Caligraphic-bold"]="Caligraphic/Bold/Main.js";
B["-tex-caligraphic-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"],offsetA:65,variantA:"bold-italic"};
B["-tex-oldstyle-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"]};
if(A.msieCheckGreek&&A.Font.testFont({family:"MathJax_Greek",weight:"bold",style:"italic",testString:A.msieCheckGreek})){B["bold-italic"].offsetG=913;
B["bold-italic"].variantG="-Greek-Bold-Italic";
B["-Greek-Bold-Italic"]={fonts:["MathJax_Greek-bold-italic"]};
C["MathJax_Greek-bold-italic"]="Greek/BoldItalic/Main.js"
}if(MathJax.Hub.Browser.isChrome&&!MathJax.Hub.Browser.versionAtLeast("5.0")){B["-tex-caligraphic-bold"].remap={84:[58096,"-WinChrome"]}
}}else{if(A.fontInUse==="STIX"){B["-tex-caligraphic-bold"]={fonts:["STIXGeneral-bold-italic","STIXNonUnicode-bold-italic","STIXNonUnicode","STIXGeneral","STIXSizeOneSym"],offsetA:57927,noLowerCase:1};
B["-tex-oldstyle-bold"]={fonts:["STIXGeneral-bold","STIXNonUnicode-bold","STIXGeneral","STIXSizeOneSym"],offsetN:57955,remap:{57956:57959,57957:57963,57958:57967,57959:57971,57960:57975,57961:57979,57962:57983,57963:57987,57964:57991}}
}}});
MathJax.Hub.Register.StartupHook("SVG Jax Ready",function(){var C=MathJax.OutputJax.SVG;
var B=C.FONTDATA.FONTS;
var A=C.FONTDATA.VARIANT;
B["MathJax_Caligraphic-bold"]="Caligraphic/Bold/Main.js";
A["-tex-caligraphic-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"],offsetA:65,variantA:"bold-italic"};
A["-tex-oldstyle-bold"]={fonts:["MathJax_Caligraphic-bold","MathJax_Main-bold","MathJax_Main","MathJax_Math","MathJax_Size1"]}
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/boldsymbol.js");