MathJax.Extension["TeX/newcommand"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var B=MathJax.InputJax.TeX;
var A=B.Definitions;
A.Add({macros:{newcommand:"NewCommand",renewcommand:"NewCommand",newenvironment:"NewEnvironment",renewenvironment:"NewEnvironment",def:"MacroDef",let:"Let"}},null,true);
B.Parse.Augment({NewCommand:function(C){var E=this.trimSpaces(this.GetArgument(C)),G=this.GetBrackets(C),D=this.GetBrackets(C),F=this.GetArgument(C);
if(E.charAt(0)==="\\"){E=E.substr(1)
}if(!E.match(/^(.|[a-z]+)$/i)){B.Error("Illegal control sequence name for "+C)
}if(G){G=this.trimSpaces(G);
if(!G.match(/^[0-9]+$/)){B.Error("Illegal number of parameters specified in "+C)
}}this.setDef(E,["Macro",F,G,D])
},NewEnvironment:function(D){var E=this.trimSpaces(this.GetArgument(D)),G=this.GetBrackets(D),F=this.GetArgument(D),C=this.GetArgument(D);
if(G){G=this.trimSpaces(G);
if(!G.match(/^[0-9]+$/)){B.Error("Illegal number of parameters specified in "+D)
}}this.setEnv(E,["BeginEnv","EndEnv",F,C,G])
},MacroDef:function(C){var D=this.GetCSname(C),F=this.GetTemplate(C,"\\"+D),E=this.GetArgument(C);
if(!(F instanceof Array)){this.setDef(D,["Macro",E,F])
}else{this.setDef(D,["MacroWithTemplate",E].concat(F))
}},Let:function(C){var D=this.GetCSname(C),E;
var F=this.GetNext();
if(F==="="){this.i++;
F=this.GetNext()
}if(F==="\\"){C=this.GetCSname(C);
E=this.csFindMacro(C);
if(!E){if(A.mathchar0mi[C]){E=["csMathchar0mi",A.mathchar0mi[C]]
}else{if(A.mathchar0mo[C]){E=["csMathchar0mo",A.mathchar0mo[C]]
}else{if(A.mathchar7[C]){E=["csMathchar7",A.mathchar7[C]]
}else{if(A.delimiter["\\"+C]!=null){E=["csDelimiter",A.delimiter["\\"+C]]
}}}}}}else{E=["Macro",F];
this.i++
}this.setDef(D,E)
},setDef:function(C,D){D.isUser=true;
A.macros[C]=D
},setEnv:function(C,D){D.isUser=true;
A.environment[C]=D
},GetCSname:function(D){var E=this.GetNext();
if(E!=="\\"){B.Error("\\ must be followed by a control sequence")
}var C=this.trimSpaces(this.GetArgument(D));
return C.substr(1)
},GetTemplate:function(E,D){var H,F=[],G=0;
H=this.GetNext();
var C=this.i;
while(this.i<this.string.length){H=this.GetNext();
if(H==="#"){if(C!==this.i){F[G]=this.string.substr(C,this.i-C)
}H=this.string.charAt(++this.i);
if(!H.match(/^[1-9]$/)){B.Error("Illegal use of # in template for "+D)
}if(parseInt(H)!=++G){B.Error("Parameters for "+D+" must be numbered sequentially")
}C=this.i+1
}else{if(H==="{"){if(C!==this.i){F[G]=this.string.substr(C,this.i-C)
}if(F.length>0){return[G,F]
}else{return G
}}}this.i++
}B.Error("Missing replacement string for definition of "+E)
},MacroWithTemplate:function(D,G,H,F){if(H){var C=[];
this.GetNext();
if(F[0]&&!this.MatchParam(F[0])){B.Error("Use of "+D+" doesn't match its definition")
}for(var E=0;
E<H;
E++){C.push(this.GetParameter(D,F[E+1]))
}G=this.SubstituteArgs(C,G)
}this.string=this.AddArgs(G,this.string.slice(this.i));
this.i=0;
if(++this.macroCount>B.config.MAXMACROS){B.Error("MathJax maximum macro substitution count exceeded; is there a recursive macro call?")
}},BeginEnv:function(F,H,C,G){if(G){var D=[];
for(var E=0;
E<G;
E++){D.push(this.GetArgument("\\begin{"+name+"}"))
}H=this.SubstituteArgs(D,H);
C=this.SubstituteArgs(D,C)
}F.edef=C;
this.string=this.AddArgs(H,this.string.slice(this.i));
this.i=0;
return F
},EndEnv:function(C,D){this.string=this.AddArgs(C.edef,this.string.slice(this.i));
this.i=0;
return D
},GetParameter:function(D,G){if(G==null){return this.GetArgument(D)
}var F=this.i,C=0,E=0;
while(this.i<this.string.length){if(this.string.charAt(this.i)==="{"){if(this.i===F){E=1
}this.GetArgument(D);
C=this.i-F
}else{if(this.MatchParam(G)){if(E){F++;
C-=2
}return this.string.substr(F,C)
}else{this.i++;
C++;
E=0
}}}B.Error("Runaway argument for "+D+"?")
},MatchParam:function(C){if(this.string.substr(this.i,C.length)!==C){return 0
}this.i+=C.length;
return 1
}});
B.Environment=function(C){A.environment[C]=["BeginEnv","EndEnv"].concat([].slice.call(arguments,1));
A.environment[C].isUser=true
};
MathJax.Hub.Startup.signal.Post("TeX newcommand Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/newcommand.js");