MathJax.Extension.asciimath2jax={version:"2.0",config:{delimiters:[["`","`"]],skipTags:["script","noscript","style","textarea","pre","code"],ignoreClass:"asciimath2jax_ignore",processClass:"asciimath2jax_process",preview:"AsciiMath"},PreProcess:function(A){if(!this.configured){this.config=MathJax.Hub.CombineConfig("asciimath2jax",this.config);
if(this.config.Augment){MathJax.Hub.Insert(this,this.config.Augment)
}this.configured=true
}if(typeof (A)==="string"){A=document.getElementById(A)
}if(!A){A=document.body
}if(this.createPatterns()){this.scanElement(A,A.nextSibling)
}},createPatterns:function(){var D=[],C,A,B=this.config;
this.match={};
if(B.delimiters.length===0){return false
}for(C=0,A=B.delimiters.length;
C<A;
C++){D.push(this.patternQuote(B.delimiters[C][0]));
this.match[B.delimiters[C][0]]={mode:"",end:B.delimiters[C][1],pattern:this.endPattern(B.delimiters[C][1])}
}this.start=new RegExp(D.sort(this.sortLength).join("|"),"g");
this.skipTags=new RegExp("^("+B.skipTags.join("|")+")$","i");
this.ignoreClass=new RegExp("(^| )("+B.ignoreClass+")( |$)");
this.processClass=new RegExp("(^| )("+B.processClass+")( |$)");
return true
},patternQuote:function(A){return A.replace(/([\^$(){}+*?\-|\[\]\:\\])/g,"\\$1")
},endPattern:function(A){return new RegExp(this.patternQuote(A)+"|\\\\.","g")
},sortLength:function(B,A){if(B.length!==A.length){return A.length-B.length
}return(B==A?0:(B<A?-1:1))
},scanElement:function(C,B,G){var A,E,D,F;
while(C&&C!=B){if(C.nodeName.toLowerCase()==="#text"){if(!G){C=this.scanText(C)
}}else{A=(typeof (C.className)==="undefined"?"":C.className);
E=(typeof (C.tagName)==="undefined"?"":C.tagName);
if(typeof (A)!=="string"){A=String(A)
}F=this.processClass.exec(A);
if(C.firstChild&&!A.match(/(^| )MathJax/)&&(F||!this.skipTags.exec(E))){D=(G||this.ignoreClass.exec(A))&&!F;
this.scanElement(C.firstChild,B,D)
}}if(C){C=C.nextSibling
}}},scanText:function(B){if(B.nodeValue.replace(/\s+/,"")==""){return B
}var A,C;
this.search={start:true};
this.pattern=this.start;
while(B){this.pattern.lastIndex=0;
while(B&&B.nodeName.toLowerCase()==="#text"&&(A=this.pattern.exec(B.nodeValue))){if(this.search.start){B=this.startMatch(A,B)
}else{B=this.endMatch(A,B)
}}if(this.search.matched){B=this.encloseMath(B)
}if(B){do{C=B;
B=B.nextSibling
}while(B&&(B.nodeName.toLowerCase()==="br"||B.nodeName.toLowerCase()==="#comment"));
if(!B||B.nodeName!=="#text"){return C
}}}return B
},startMatch:function(A,B){var C=this.match[A[0]];
if(C!=null){this.search={end:C.end,mode:C.mode,open:B,olen:A[0].length,opos:this.pattern.lastIndex-A[0].length};
this.switchPattern(C.pattern)
}return B
},endMatch:function(A,B){if(A[0]==this.search.end){this.search.close=B;
this.search.cpos=this.pattern.lastIndex;
this.search.clen=(this.search.isBeginEnd?0:A[0].length);
this.search.matched=true;
B=this.encloseMath(B);
this.switchPattern(this.start)
}return B
},switchPattern:function(A){A.lastIndex=this.pattern.lastIndex;
this.pattern=A;
this.search.start=(A===this.start)
},encloseMath:function(B){var A=this.search,F=A.close,E,C;
if(A.cpos===F.length){F=F.nextSibling
}else{F=F.splitText(A.cpos)
}if(!F){E=F=MathJax.HTML.addText(A.close.parentNode,"")
}A.close=F;
C=(A.opos?A.open.splitText(A.opos):A.open);
while(C.nextSibling&&C.nextSibling!==F){if(C.nextSibling.nodeValue!==null){if(C.nextSibling.nodeName==="#comment"){C.nodeValue+=C.nextSibling.nodeValue.replace(/^\[CDATA\[((.|\n|\r)*)\]\]$/,"$1")
}else{C.nodeValue+=C.nextSibling.nodeValue
}}else{if(this.msieNewlineBug){C.nodeValue+=(C.nextSibling.nodeName.toLowerCase()==="br"?"\n":" ")
}else{C.nodeValue+=" "
}}C.parentNode.removeChild(C.nextSibling)
}var D=C.nodeValue.substr(A.olen,C.nodeValue.length-A.olen-A.clen);
C.parentNode.removeChild(C);
if(this.config.preview!=="none"){this.createPreview(A.mode,D)
}C=this.createMathTag(A.mode,D);
this.search={};
this.pattern.lastIndex=0;
if(E){E.parentNode.removeChild(E)
}return C
},insertNode:function(B){var A=this.search;
A.close.parentNode.insertBefore(B,A.close)
},createPreview:function(C,A){var B;
if(this.config.preview==="AsciiMath"){B=[this.filterPreview(A)]
}else{if(this.config.preview instanceof Array){B=this.config.preview
}}if(B){B=MathJax.HTML.Element("span",{className:MathJax.Hub.config.preRemoveClass},B);
this.insertNode(B)
}},createMathTag:function(C,A){var B=document.createElement("script");
B.type="math/asciimath"+C;
MathJax.HTML.setScript(B,A);
this.insertNode(B);
return B
},filterPreview:function(A){return A
},msieNewlineBug:(MathJax.Hub.Browser.isMSIE&&(document.documentMode||0)<9)};
MathJax.Hub.Register.PreProcessor(["PreProcess",MathJax.Extension.asciimath2jax]);
MathJax.Ajax.loadComplete("[MathJax]/extensions/asciimath2jax.js");