MathJax.Extension["TeX/begingroup"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var C=MathJax.InputJax.TeX,A=C.Definitions;
var B=MathJax.Object.Subclass({macros:null,environments:null,Init:function(F,E){this.macros=(F||{});
this.environments=(E||{})
},Find:function(F,E){if(this[E][F]){return this[E][F]
}},Def:function(G,E,F){this[F][G]=E
},Undef:function(F,E){delete this[E][F]
},Merge:function(E){MathJax.Hub.Insert(this.macros,E.macros);
MathJax.Hub.Insert(this.environments,E.environments)
},MergeGlobals:function(G){var F=this.macros;
for(var E in F){if(F.hasOwnProperty(E)&&F[E].global){G.Def(E,F[E],"macros",true);
delete F[E].global;
delete F[E]
}}},Clear:function(E){this.environments={};
if(E){this.macros={}
}else{var G=this.macros;
for(var F in G){if(G.hasOwnProperty(F)&&!G[F].global){delete G[F]
}}}return this
}});
var D=C.nsStack=MathJax.Object.Subclass({stack:null,top:0,isEqn:false,Init:function(E){this.isEqn=E;
this.stack=[];
if(!E){this.Push(B(A.macros,A.environments))
}else{this.Push(B())
}},Def:function(I,F,H,G){var E=this.top-1;
if(G){while(E>0){this.stack[E].Undef(I,H);
E--
}if(!(F instanceof Array)){F=[F]
}if(this.isEqn){F.global=true
}}this.stack[E].Def(I,F,H)
},Push:function(E){this.stack.push(E);
this.top=this.stack.length
},Pop:function(){var E;
if(this.top>1){E=this.stack[--this.top];
if(this.isEqn){this.stack.pop()
}}else{if(this.isEqn){this.Clear()
}}return E
},Find:function(H,F){for(var G=this.top-1;
G>=0;
G--){var E=this.stack[G].Find(H,F);
if(E){return E
}}return null
},Merge:function(F){F.stack[0].MergeGlobals(this);
this.stack[this.top-1].Merge(F.stack[0]);
var E=[this.top,this.stack.length-this.top].concat(F.stack.slice(1));
this.stack.splice.apply(this.stack,E);
this.top=this.stack.length
},Reset:function(){this.top=this.stack.length
},Clear:function(E){this.stack=[this.stack[0].Clear()];
this.top=this.stack.length
}},{nsFrame:B});
A.macros.begingroup="BeginGroup";
A.macros.endgroup="EndGroup";
A.macros.global=["Extension","newcommand"];
A.macros.gdef=["Extension","newcommand"];
C.Parse.Augment({BeginGroup:function(E){C.eqnStack.Push(B())
},EndGroup:function(E){if(C.eqnStack.top>1){C.eqnStack.Pop()
}else{if(C.rootStack.top===1){C.Error("Extra "+E+" or missing \\begingroup")
}else{C.eqnStack.Clear();
C.rootStack.Pop()
}}},csFindMacro:function(E){return(C.eqnStack.Find(E,"macros")||C.rootStack.Find(E,"macros"))
},envFindName:function(E){return(C.eqnStack.Find(E,"environments")||C.rootStack.Find(E,"environments"))
}});
C.rootStack=D();
C.eqnStack=D(true);
C.prefilterHooks.Add(function(){C.rootStack.Reset();
C.eqnStack.Clear(true)
});
C.postfilterHooks.Add(function(){C.rootStack.Merge(C.eqnStack)
});
MathJax.Hub.Register.StartupHook("TeX newcommand Ready",function(){A.macros.global="Global";
A.macros.gdef=["Macro","\\global\\def"];
C.Parse.Augment({setDef:function(F,E){E.isUser=true;
C.eqnStack.Def(F,E,"macros",this.stack.env.isGlobal);
delete this.stack.env.isGlobal
},setEnv:function(F,E){E.isUser=true;
C.eqnStack.Def(F,E,"environments")
},Global:function(G){var F=this.i;
var E=this.GetCSname(G);
this.i=F;
if(E!=="let"&&E!=="def"&&E!=="newcommand"){C.Error(G+" not followed by \\let, \\def, or \\newcommand")
}this.stack.env.isGlobal=true
}})
});
MathJax.Hub.Startup.signal.Post("TeX begingroup Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/begingroup.js");