MathJax.Extension["TeX/newcommand"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var A=MathJax.InputJax.TeX;
var B=A.Definitions;
B.Add({macros:{newcommand:"NewCommand",renewcommand:"NewCommand",newenvironment:"NewEnvironment",renewenvironment:"NewEnvironment",def:"MacroDef",let:"Let"}},null,true);
A.Parse.Augment({NewCommand:function(G){var E=this.trimSpaces(this.GetArgument(G)),C=this.GetBrackets(G),F=this.GetBrackets(G),D=this.GetArgument(G);
if(E.charAt(0)==="\\"){E=E.substr(1)
}if(!E.match(/^(.|[a-z]+)$/i)){A.Error("Illegal control sequence name for "+G)
}if(C){C=this.trimSpaces(C);
if(!C.match(/^[0-9]+$/)){A.Error("Illegal number of parameters specified in "+G)
}}this.setDef(E,["Macro",D,C,F])
},NewEnvironment:function(F){var E=this.trimSpaces(this.GetArgument(F)),C=this.GetBrackets(F),D=this.GetArgument(F),G=this.GetArgument(F);
if(C){C=this.trimSpaces(C);
if(!C.match(/^[0-9]+$/)){A.Error("Illegal number of parameters specified in "+F)
}}this.setEnv(E,["BeginEnv","EndEnv",D,G,C])
},MacroDef:function(F){var E=this.GetCSname(F),C=this.GetTemplate(F,"\\"+E),D=this.GetArgument(F);
if(!(C instanceof Array)){this.setDef(E,["Macro",D,C])
}else{this.setDef(E,["MacroWithTemplate",D].concat(C))
}},Let:function(F){var E=this.GetCSname(F),D;
var C=this.GetNext();
if(C==="="){this.i++;
C=this.GetNext()
}if(C==="\\"){F=this.GetCSname(F);
D=this.csFindMacro(F);
if(!D){if(B.mathchar0mi[F]){D=["csMathchar0mi",B.mathchar0mi[F]]
}else{if(B.mathchar0mo[F]){D=["csMathchar0mo",B.mathchar0mo[F]]
}else{if(B.mathchar7[F]){D=["csMathchar7",B.mathchar7[F]]
}else{if(B.delimiter["\\"+F]!=null){D=["csDelimiter",B.delimiter["\\"+F]]
}}}}}}else{D=["Macro",C];
this.i++
}this.setDef(E,D)
},setDef:function(D,C){C.isUser=true;
B.macros[D]=C
},setEnv:function(D,C){C.isUser=true;
B.environment[D]=C
},GetCSname:function(D){var C=this.GetNext();
if(C!=="\\"){A.Error("\\ must be followed by a control sequence")
}var E=this.trimSpaces(this.GetArgument(D));
return E.substr(1)
},GetTemplate:function(F,G){var C,E=[],D=0;
C=this.GetNext();
var H=this.i;
while(this.i<this.string.length){C=this.GetNext();
if(C==="#"){if(H!==this.i){E[D]=this.string.substr(H,this.i-H)
}C=this.string.charAt(++this.i);
if(!C.match(/^[1-9]$/)){A.Error("Illegal use of # in template for "+G)
}if(parseInt(C)!=++D){A.Error("Parameters for "+G+" must be numbered sequentially")
}H=this.i+1
}else{if(C==="{"){if(H!==this.i){E[D]=this.string.substr(H,this.i-H)
}if(E.length>0){return[D,E]
}else{return D
}}}this.i++
}A.Error("Missing replacement string for definition of "+F)
},MacroWithTemplate:function(G,D,C,E){if(C){var H=[];
this.GetNext();
if(E[0]&&!this.MatchParam(E[0])){A.Error("Use of "+G+" doesn't match its definition")
}for(var F=0;
F<C;
F++){H.push(this.GetParameter(G,E[F+1]))
}D=this.SubstituteArgs(H,D)
}this.string=this.AddArgs(D,this.string.slice(this.i));
this.i=0;
if(++this.macroCount>A.config.MAXMACROS){A.Error("MathJax maximum macro substitution count exceeded; is there a recursive macro call?")
}},BeginEnv:function(E,C,H,D){if(D){var G=[];
for(var F=0;
F<D;
F++){G.push(this.GetArgument("\\begin{"+name+"}"))
}C=this.SubstituteArgs(G,C);
H=this.SubstituteArgs(G,H)
}E.edef=H;
this.string=this.AddArgs(C,this.string.slice(this.i));
this.i=0;
return E
},EndEnv:function(D,C){this.string=this.AddArgs(D.edef,this.string.slice(this.i));
this.i=0;
return C
},GetParameter:function(F,C){if(C==null){return this.GetArgument(F)
}var D=this.i,G=0,E=0;
while(this.i<this.string.length){if(this.string.charAt(this.i)==="{"){if(this.i===D){E=1
}this.GetArgument(F);
G=this.i-D
}else{if(this.MatchParam(C)){if(E){D++;
G-=2
}return this.string.substr(D,G)
}else{this.i++;
G++;
E=0
}}}A.Error("Runaway argument for "+F+"?")
},MatchParam:function(C){if(this.string.substr(this.i,C.length)!==C){return 0
}this.i+=C.length;
return 1
}});
A.Environment=function(C){B.environment[C]=["BeginEnv","EndEnv"].concat([].slice.call(arguments,1));
B.environment[C].isUser=true
};
MathJax.Hub.Startup.signal.Post("TeX newcommand Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/newcommand.js");