MathJax.Extension.asciimath2jax={version:"2.0",config:{delimiters:[["`","`"]],skipTags:["script","noscript","style","textarea","pre","code"],ignoreClass:"asciimath2jax_ignore",processClass:"asciimath2jax_process",preview:"AsciiMath"},PreProcess:function(A){if(!this.configured){this.config=MathJax.Hub.CombineConfig("asciimath2jax",this.config);
if(this.config.Augment){MathJax.Hub.Insert(this,this.config.Augment)
}this.configured=true
}if(typeof (A)==="string"){A=document.getElementById(A)
}if(!A){A=document.body
}if(this.createPatterns()){this.scanElement(A,A.nextSibling)
}},createPatterns:function(){var C=[],D,B,A=this.config;
this.match={};
if(A.delimiters.length===0){return false
}for(D=0,B=A.delimiters.length;
D<B;
D++){C.push(this.patternQuote(A.delimiters[D][0]));
this.match[A.delimiters[D][0]]={mode:"",end:A.delimiters[D][1],pattern:this.endPattern(A.delimiters[D][1])}
}this.start=new RegExp(C.sort(this.sortLength).join("|"),"g");
this.skipTags=new RegExp("^("+A.skipTags.join("|")+")$","i");
this.ignoreClass=new RegExp("(^| )("+A.ignoreClass+")( |$)");
this.processClass=new RegExp("(^| )("+A.processClass+")( |$)");
return true
},patternQuote:function(A){return A.replace(/([\^$(){}+*?\-|\[\]\:\\])/g,"\\$1")
},endPattern:function(A){return new RegExp(this.patternQuote(A)+"|\\\\.","g")
},sortLength:function(A,B){if(A.length!==B.length){return B.length-A.length
}return(A==B?0:(A<B?-1:1))
},scanElement:function(G,A,C){var B,E,F,D;
while(G&&G!=A){if(G.nodeName.toLowerCase()==="#text"){if(!C){G=this.scanText(G)
}}else{B=(typeof (G.className)==="undefined"?"":G.className);
E=(typeof (G.tagName)==="undefined"?"":G.tagName);
if(typeof (B)!=="string"){B=String(B)
}D=this.processClass.exec(B);
if(G.firstChild&&!B.match(/(^| )MathJax/)&&(D||!this.skipTags.exec(E))){F=(C||this.ignoreClass.exec(B))&&!D;
this.scanElement(G.firstChild,A,F)
}}if(G){G=G.nextSibling
}}},scanText:function(A){if(A.nodeValue.replace(/\s+/,"")==""){return A
}var B,C;
this.search={start:true};
this.pattern=this.start;
while(A){this.pattern.lastIndex=0;
while(A&&A.nodeName.toLowerCase()==="#text"&&(B=this.pattern.exec(A.nodeValue))){if(this.search.start){A=this.startMatch(B,A)
}else{A=this.endMatch(B,A)
}}if(this.search.matched){A=this.encloseMath(A)
}if(A){do{C=A;
A=A.nextSibling
}while(A&&(A.nodeName.toLowerCase()==="br"||A.nodeName.toLowerCase()==="#comment"));
if(!A||A.nodeName!=="#text"){return C
}}}return A
},startMatch:function(B,A){var C=this.match[B[0]];
if(C!=null){this.search={end:C.end,mode:C.mode,open:A,olen:B[0].length,opos:this.pattern.lastIndex-B[0].length};
this.switchPattern(C.pattern)
}return A
},endMatch:function(B,A){if(B[0]==this.search.end){this.search.close=A;
this.search.cpos=this.pattern.lastIndex;
this.search.clen=(this.search.isBeginEnd?0:B[0].length);
this.search.matched=true;
A=this.encloseMath(A);
this.switchPattern(this.start)
}return A
},switchPattern:function(A){A.lastIndex=this.pattern.lastIndex;
this.pattern=A;
this.search.start=(A===this.start)
},encloseMath:function(A){var B=this.search,C=B.close,D,F;
if(B.cpos===C.length){C=C.nextSibling
}else{C=C.splitText(B.cpos)
}if(!C){D=C=MathJax.HTML.addText(B.close.parentNode,"")
}B.close=C;
F=(B.opos?B.open.splitText(B.opos):B.open);
while(F.nextSibling&&F.nextSibling!==C){if(F.nextSibling.nodeValue!==null){if(F.nextSibling.nodeName==="#comment"){F.nodeValue+=F.nextSibling.nodeValue.replace(/^\[CDATA\[((.|\n|\r)*)\]\]$/,"$1")
}else{F.nodeValue+=F.nextSibling.nodeValue
}}else{if(this.msieNewlineBug){F.nodeValue+=(F.nextSibling.nodeName.toLowerCase()==="br"?"\n":" ")
}else{F.nodeValue+=" "
}}F.parentNode.removeChild(F.nextSibling)
}var E=F.nodeValue.substr(B.olen,F.nodeValue.length-B.olen-B.clen);
F.parentNode.removeChild(F);
if(this.config.preview!=="none"){this.createPreview(B.mode,E)
}F=this.createMathTag(B.mode,E);
this.search={};
this.pattern.lastIndex=0;
if(D){D.parentNode.removeChild(D)
}return F
},insertNode:function(A){var B=this.search;
B.close.parentNode.insertBefore(A,B.close)
},createPreview:function(C,B){var A;
if(this.config.preview==="AsciiMath"){A=[this.filterPreview(B)]
}else{if(this.config.preview instanceof Array){A=this.config.preview
}}if(A){A=MathJax.HTML.Element("span",{className:MathJax.Hub.config.preRemoveClass},A);
this.insertNode(A)
}},createMathTag:function(C,B){var A=document.createElement("script");
A.type="math/asciimath"+C;
MathJax.HTML.setScript(A,B);
this.insertNode(A);
return A
},filterPreview:function(A){return A
},msieNewlineBug:(MathJax.Hub.Browser.isMSIE&&(document.documentMode||0)<9)};
MathJax.Hub.Register.PreProcessor(["PreProcess",MathJax.Extension.asciimath2jax]);
MathJax.Ajax.loadComplete("[MathJax]/extensions/asciimath2jax.js");