MathJax.Extension["TeX/color"]={version:"2.0",config:MathJax.Hub.CombineConfig("TeX.color",{padding:"5px",border:"2px"}),colors:{Apricot:"#FBB982",Aquamarine:"#00B5BE",Bittersweet:"#C04F17",Black:"#221E1F",Blue:"#2D2F92",BlueGreen:"#00B3B8",BlueViolet:"#473992",BrickRed:"#B6321C",Brown:"#792500",BurntOrange:"#F7921D",CadetBlue:"#74729A",CarnationPink:"#F282B4",Cerulean:"#00A2E3",CornflowerBlue:"#41B0E4",Cyan:"#00AEEF",Dandelion:"#FDBC42",DarkOrchid:"#A4538A",Emerald:"#00A99D",ForestGreen:"#009B55",Fuchsia:"#8C368C",Goldenrod:"#FFDF42",Gray:"#949698",Green:"#00A64F",GreenYellow:"#DFE674",JungleGreen:"#00A99A",Lavender:"#F49EC4",LimeGreen:"#8DC73E",Magenta:"#EC008C",Mahogany:"#A9341F",Maroon:"#AF3235",Melon:"#F89E7B",MidnightBlue:"#006795",Mulberry:"#A93C93",NavyBlue:"#006EB8",OliveGreen:"#3C8031",Orange:"#F58137",OrangeRed:"#ED135A",Orchid:"#AF72B0",Peach:"#F7965A",Periwinkle:"#7977B8",PineGreen:"#008B72",Plum:"#92268F",ProcessBlue:"#00B0F0",Purple:"#99479B",RawSienna:"#974006",Red:"#ED1B23",RedOrange:"#F26035",RedViolet:"#A1246B",Rhodamine:"#EF559F",RoyalBlue:"#0071BC",RoyalPurple:"#613F99",RubineRed:"#ED017D",Salmon:"#F69289",SeaGreen:"#3FBC9D",Sepia:"#671800",SkyBlue:"#46C5DD",SpringGreen:"#C6DC67",Tan:"#DA9D76",TealBlue:"#00AEB3",Thistle:"#D883B7",Turquoise:"#00B4CE",Violet:"#58429B",VioletRed:"#EF58A0",White:"#FFFFFF",WildStrawberry:"#EE2967",Yellow:"#FFF200",YellowGreen:"#98CC70",YellowOrange:"#FAA21A"},getColor:function(A,C){if(!A){A="named"
}var B=this["get_"+A];
if(!B){this.TEX.Error("Color model '"+A+"' not defined")
}return B.call(this,C)
},get_rgb:function(B){B=B.split(/,/);
var A="#";
if(B.length!==3){this.TEX.Error("RGB colors require 3 decimal numbers")
}for(var C=0;
C<3;
C++){if(!B[C].match(/^(\d+(\.\d*)?|\.\d+)$/)){this.TEX.Error("Invalid decimal number")
}var D=parseFloat(B[C]);
if(D<0||D>1){this.TEX.Error("RGB values must be between 0 and 1")
}D=Math.floor(D*255).toString(16);
if(D.length<2){D="0"+D
}A+=D
}return A
},get_gray:function(A){if(!A.match(/^(\d+(\.\d*)?|\.\d+)$/)){this.TEX.Error("Invalid decimal number")
}var B=parseFloat(A);
if(B<0||B>1){this.TEX.Error("Grey-scale values must be between 0 and 1")
}B=Math.floor(B*255).toString(16);
if(B.length<2){B="0"+B
}return"#"+B+B+B
},get_named:function(A){if(this.colors[A]){return this.colors[A]
}return A
},padding:function(){var C="+"+this.config.padding;
var A=this.config.padding.replace(/^.*?([a-z]*)$/,"$1");
var B="+"+(2*parseFloat(C))+A;
return{width:B,height:C,depth:C,lspace:this.config.padding}
}};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var D=MathJax.InputJax.TeX,A=MathJax.ElementJax.mml;
var C=D.Stack.Item;
var B=MathJax.Extension["TeX/color"];
B.TEX=D;
D.Definitions.macros.color="Color";
D.Definitions.macros.definecolor="DefineColor";
D.Definitions.macros.colorbox="ColorBox";
D.Definitions.macros.fcolorbox="fColorBox";
D.Parse.Augment({Color:function(H){var G=this.GetBrackets(H),E=this.GetArgument(H);
E=B.getColor(G,E);
var F=C.style().With({styles:{mathcolor:E}});
this.stack.env.color=E;
this.Push(F)
},DefineColor:function(G){var F=this.GetArgument(G),E=this.GetArgument(G),H=this.GetArgument(G);
B.colors[F]=B.getColor(E,H)
},ColorBox:function(G){var F=this.GetArgument(G),E=this.InternalMath(this.GetArgument(G));
this.Push(A.mpadded.apply(A,E).With({mathbackground:B.getColor("named",F)}).With(B.padding()))
},fColorBox:function(G){var H=this.GetArgument(G),F=this.GetArgument(G),E=this.InternalMath(this.GetArgument(G));
this.Push(A.mpadded.apply(A,E).With({mathbackground:B.getColor("named",F),style:"border: "+B.config.border+" solid "+B.getColor("named",H)}).With(B.padding()))
}});
MathJax.Hub.Startup.signal.Post("TeX color Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/color.js");