MathJax.Extension.tex2jax={version:"2.0",config:{inlineMath:[["\\(","\\)"]],displayMath:[["$$","$$"],["\\[","\\]"]],balanceBraces:true,skipTags:["script","noscript","style","textarea","pre","code"],ignoreClass:"tex2jax_ignore",processClass:"tex2jax_process",processEscapes:false,processEnvironments:true,processRefs:true,preview:"TeX"},PreProcess:function(A){if(!this.configured){this.config=MathJax.Hub.CombineConfig("tex2jax",this.config);
if(this.config.Augment){MathJax.Hub.Insert(this,this.config.Augment)
}if(typeof (this.config.previewTeX)!=="undefined"&&!this.config.previewTeX){this.config.preview="none"
}this.configured=true
}if(typeof (A)==="string"){A=document.getElementById(A)
}if(!A){A=document.body
}if(this.createPatterns()){this.scanElement(A,A.nextSibling)
}},createPatterns:function(){var D=[],E=[],C,A,B=this.config;
this.match={};
for(C=0,A=B.inlineMath.length;
C<A;
C++){D.push(this.patternQuote(B.inlineMath[C][0]));
this.match[B.inlineMath[C][0]]={mode:"",end:B.inlineMath[C][1],pattern:this.endPattern(B.inlineMath[C][1])}
}for(C=0,A=B.displayMath.length;
C<A;
C++){D.push(this.patternQuote(B.displayMath[C][0]));
this.match[B.displayMath[C][0]]={mode:"; mode=display",end:B.displayMath[C][1],pattern:this.endPattern(B.displayMath[C][1])}
}if(D.length){E.push(D.sort(this.sortLength).join("|"))
}if(B.processEnvironments){E.push("\\\\begin\\{([^}]*)\\}")
}if(B.processEscapes){E.push("\\\\*\\\\\\$")
}if(B.processRefs){E.push("\\\\(eq)?ref\\{[^}]*\\}")
}this.start=new RegExp(E.join("|"),"g");
this.skipTags=new RegExp("^("+B.skipTags.join("|")+")$","i");
this.ignoreClass=new RegExp("(^| )("+B.ignoreClass+")( |$)");
this.processClass=new RegExp("(^| )("+B.processClass+")( |$)");
return(E.length>0)
},patternQuote:function(A){return A.replace(/([\^$(){}+*?\-|\[\]\:\\])/g,"\\$1")
},endPattern:function(A){return new RegExp(this.patternQuote(A)+"|\\\\.|[{}]","g")
},sortLength:function(B,A){if(B.length!==A.length){return A.length-B.length
}return(B==A?0:(B<A?-1:1))
},scanElement:function(C,B,G){var A,E,D,F;
while(C&&C!=B){if(C.nodeName.toLowerCase()==="#text"){if(!G){C=this.scanText(C)
}}else{A=(typeof (C.className)==="undefined"?"":C.className);
E=(typeof (C.tagName)==="undefined"?"":C.tagName);
if(typeof (A)!=="string"){A=String(A)
}F=this.processClass.exec(A);
if(C.firstChild&&!A.match(/(^| )MathJax/)&&(F||!this.skipTags.exec(E))){D=(G||this.ignoreClass.exec(A))&&!F;
this.scanElement(C.firstChild,B,D)
}}if(C){C=C.nextSibling
}}},scanText:function(B){if(B.nodeValue.replace(/\s+/,"")==""){return B
}var A,C;
this.search={start:true};
this.pattern=this.start;
while(B){this.pattern.lastIndex=0;
while(B&&B.nodeName.toLowerCase()==="#text"&&(A=this.pattern.exec(B.nodeValue))){if(this.search.start){B=this.startMatch(A,B)
}else{B=this.endMatch(A,B)
}}if(this.search.matched){B=this.encloseMath(B)
}if(B){do{C=B;
B=B.nextSibling
}while(B&&(B.nodeName.toLowerCase()==="br"||B.nodeName.toLowerCase()==="#comment"));
if(!B||B.nodeName!=="#text"){return(this.search.close?this.prevEndMatch():C)
}}}return B
},startMatch:function(A,B){var F=this.match[A[0]];
if(F!=null){this.search={end:F.end,mode:F.mode,pcount:0,open:B,olen:A[0].length,opos:this.pattern.lastIndex-A[0].length};
this.switchPattern(F.pattern)
}else{if(A[0].substr(0,6)==="\\begin"){this.search={end:"\\end{"+A[1]+"}",mode:"; mode=display",pcount:0,open:B,olen:0,opos:this.pattern.lastIndex-A[0].length,isBeginEnd:true};
this.switchPattern(this.endPattern(this.search.end))
}else{if(A[0].substr(0,4)==="\\ref"||A[0].substr(0,6)==="\\eqref"){this.search={mode:"",end:"",open:B,pcount:0,olen:0,opos:this.pattern.lastIndex-A[0].length};
return this.endMatch([""],B)
}else{var D=A[0].substr(0,A[0].length-1),G,C;
if(D.length%2===0){C=[D.replace(/\\\\/g,"\\")];
G=1
}else{C=[D.substr(1).replace(/\\\\/g,"\\"),"$"];
G=0
}C=MathJax.HTML.Element("span",null,C);
var E=MathJax.HTML.TextNode(B.nodeValue.substr(0,A.index));
B.nodeValue=B.nodeValue.substr(A.index+A[0].length-G);
B.parentNode.insertBefore(C,B);
B.parentNode.insertBefore(E,C);
this.pattern.lastIndex=G
}}}return B
},endMatch:function(A,C){var B=this.search;
if(A[0]==B.end){if(!B.close||B.pcount===0){B.close=C;
B.cpos=this.pattern.lastIndex;
B.clen=(B.isBeginEnd?0:A[0].length)
}if(B.pcount===0){B.matched=true;
C=this.encloseMath(C);
this.switchPattern(this.start)
}}else{if(A[0]==="{"){B.pcount++
}else{if(A[0]==="}"&&B.pcount){B.pcount--
}}}return C
},prevEndMatch:function(){this.search.matched=true;
var A=this.encloseMath(this.search.close);
this.switchPattern(this.start);
return A
},switchPattern:function(A){A.lastIndex=this.pattern.lastIndex;
this.pattern=A;
this.search.start=(A===this.start)
},encloseMath:function(B){var A=this.search,F=A.close,E,C;
if(A.cpos===F.length){F=F.nextSibling
}else{F=F.splitText(A.cpos)
}if(!F){E=F=MathJax.HTML.addText(A.close.parentNode,"")
}A.close=F;
C=(A.opos?A.open.splitText(A.opos):A.open);
while(C.nextSibling&&C.nextSibling!==F){if(C.nextSibling.nodeValue!==null){if(C.nextSibling.nodeName==="#comment"){C.nodeValue+=C.nextSibling.nodeValue.replace(/^\[CDATA\[((.|\n|\r)*)\]\]$/,"$1")
}else{C.nodeValue+=C.nextSibling.nodeValue
}}else{if(this.msieNewlineBug){C.nodeValue+=(C.nextSibling.nodeName.toLowerCase()==="br"?"\n":" ")
}else{C.nodeValue+=" "
}}C.parentNode.removeChild(C.nextSibling)
}var D=C.nodeValue.substr(A.olen,C.nodeValue.length-A.olen-A.clen);
C.parentNode.removeChild(C);
if(this.config.preview!=="none"){this.createPreview(A.mode,D)
}C=this.createMathTag(A.mode,D);
this.search={};
this.pattern.lastIndex=0;
if(E){E.parentNode.removeChild(E)
}return C
},insertNode:function(B){var A=this.search;
A.close.parentNode.insertBefore(B,A.close)
},createPreview:function(C,A){var B;
if(this.config.preview==="TeX"){B=[this.filterPreview(A)]
}else{if(this.config.preview instanceof Array){B=this.config.preview
}}if(B){B=MathJax.HTML.Element("span",{className:MathJax.Hub.config.preRemoveClass},B);
this.insertNode(B)
}},createMathTag:function(C,B){var A=document.createElement("script");
A.type="math/tex"+C;
MathJax.HTML.setScript(A,B);
this.insertNode(A);
return A
},filterPreview:function(A){return A
},msieNewlineBug:(MathJax.Hub.Browser.isMSIE&&document.documentMode<9)};
MathJax.Hub.Register.PreProcessor(["PreProcess",MathJax.Extension.tex2jax]);
MathJax.Ajax.loadComplete("[MathJax]/extensions/tex2jax.js");